## lugdulov 0.2.2-2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(lugdulov)

include(CMakeDependentOption)

set(VERSION_MAJOR "0")
set(VERSION_MINOR "2")
set(VERSION_PATCH "2")

if(CMAKE_SYSTEM_NAME MATCHES Linux)
  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)
endif()
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

cmake_dependent_option(BUILD_STATIC_PLUGINS "build static plugins [default: off]" OFF "NOT BUILD_SHARED_LIBS" ON)

include(lugdulov)
include(QtTranslations) # Local file for maemo_qt4_add_translation()

set(PLUGINS_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}lib/lugdulov/plugins")

find_package(Qt4 REQUIRED)
find_package(QJSON REQUIRED)
find_package(QtLocation)
find_package(QtBearer)

CHECK_SYMBOL_EXISTS(Q_WS_MAEMO_5 "QtCore/qglobal.h" Q_WS_MAEMO_5)

set(HAVE_QT_LOCATION ${QTLOCATION_FOUND})
set(HAVE_QT_BEARER ${QTBEARER_FOUND})

## GCC  ##
set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -Wstrict-prototypes -Werror-implicit-function-declaration -Wno-pointer-sign")

set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2")
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -ggdb3 -DDEBUG=1")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

if(NOT EXECUTABLE_OUTPUT_PATH)
  set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin CACHE STRING
    "Single output directory for building all executables."
    FORCE)
endif(NOT EXECUTABLE_OUTPUT_PATH)

if(NOT LIBRARY_OUTPUT_PATH)
  set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin CACHE STRING
    "Single output directory for building all libraries."
    FORCE)
endif(NOT LIBRARY_OUTPUT_PATH)

# compile in debug mode
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Debug CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
  add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")


#add extra search paths for libraries and includes
set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Directory where binary will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory where include will install")

set (LUGDULOV_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

# Use it
set(QT_USE_QTGUI TRUE)
set(QT_USE_QTNETWORK TRUE)
set(QT_USE_QTXML TRUE)
set(QT_USE_QTSQL TRUE)

include( ${QT_USE_FILE} )

# Find config.h
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(plugins)
add_subdirectory(qmapcontrol)
add_subdirectory(lugdulov)
add_subdirectory(pkg)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake config.h ESCAPE_QUOTES)

## Package ##
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Lugdulo'V")
set(CPACK_PACKAGE_VENDOR "iksaif.net")
set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
set(CPACK_VERSION ${LUGDULOV_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
set(CPACK_PACKAGE_VENDOR "http://xf.iksaif.net/dev/lugdulov.html")
set(CPACK_SOURCE_IGNORE_FILES
  "~$"
  "^${PROJECT_SOURCE_DIR}/\\\\.git"
  "^${PROJECT_SOURCE_DIR}/build/")

if(WIN32)
  install(FILES
        "${QT_BINARY_DIR}/QtCore${QT_VERSION_MAJOR}.dll"
        "${QT_BINARY_DIR}/QtXml${QT_VERSION_MAJOR}.dll"
        "${QT_BINARY_DIR}/QtGui${QT_VERSION_MAJOR}.dll"
        "${QT_BINARY_DIR}/QtNetwork${QT_VERSION_MAJOR}.dll"
        "${QT_BINARY_DIR}/mingwm10.dll"
        "${QT_BINARY_DIR}/libgcc_s_dw2-1.dll"
        "${CMAKE_BINARY_DIR}/bin/libqjson.dll"
        DESTINATION bin
  )
  set(CPACK_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}-win32")
  set(CPACK_SOURCE_PACKAGE_FILE_NAME "lugdulov")
  # set(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
  set(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/lugdulov/res/lugdulov.ico")
  set(CPACK_NSIS_MUI_UNIICON "${CMAKE_SOURCE_DIR}/lugdulov/res/lugdulov.ico")
  #set(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/lugdulov/res/lugdulov.ico")
  set(CPACK_PACKAGE_EXECUTABLES "lugdulov;Lugdulo'V")
  set(CPACK_BINARY_NSIS "ON")
  set(CPACK_NSIS_MODIFY_PATH "OFF")
  set(CPACK_BINARY_CYGWIN "OFF")
  set(CPACK_SOURCE_CYGWIN "OFF")
  set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Lugdulo'v")
  set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/lugdulov.html")
  set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/lugdulov.html")
  set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
  set(CPACK_PACKAGE_INSTALL_DIRECTORY "lugdulov")
else(WIN32)
  set(CPACK_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}-${CMAKE_SYSTEM_NAME}")
  set(CPACK_SOURCE_PACKAGE_FILE_NAME "lugdulov-${CPACK_VERSION}")
  set(CPACK_GENERATOR "DEB")
  set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
  ## Debian specific ##
  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-core (>= 4.6), libqt4-xml (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), qjson")
  set(CPACK_DEBIAN_PACKAGE_BUILDS_DEPENDS "libqt4-dev (>= 4.6), cmake (>= 2.6), qjson")
endif(WIN32)
include(CPack)

=== lugdulov/CMakeLists.txt ===
project(lugdulov_core)

# Include the library include directories, and the current build directory (moc)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
  ${qmapcontrol_SOURCE_DIR}
  ${QT_INCLUDE_DIR}
)

set(lugdulov_SRCS
  main.cpp
  mainwindow.cpp
  settings.cpp
  stationdialog.cpp
  stationspluginmanager.cpp
  stationslistdialog.cpp
  bookmarklistdialog.cpp
  stationdelegate.cpp
  stationsmodel.cpp
  stationssortfilterproxymodel.cpp
  stationslistview.cpp
  mapdialog.cpp
  mapwidget.cpp
  pluginsdialog.cpp)

set(lugdulov_UIS
  mainwindow.ui
  stationdialog.ui
  stationslistdialog.ui
  mapdialog.ui
  pluginsdialog.ui)

set(lugdulov_MOC_HDRS
  mainwindow.h
  settings.h
  stationdialog.h
  stationspluginmanager.h
  stationslistdialog.h
  bookmarklistdialog.h
  stationdelegate.h
  stationsmodel.h
  stationssortfilterproxymodel.h
  stationslistview.h
  mapdialog.h
  mapwidget.h
  pluginsdialog.h)

set(lugdulov_RCS res/lugdulov.qrc i18n/i18n.qrc)
set(lugdulov_TRS i18n/lugdulov_fr.ts)
set_source_files_properties(${lugdulov_TRS} PROPERTIES OUTPUT_LOCATION ${lugdulov_core_SOURCE_DIR}/i18n)

_qt4_add_translation(QM_FILES ${lugdulov_TRS})
qt4_wrap_cpp(MOC_SOURCE ${lugdulov_MOC_HDRS})
qt4_wrap_ui(UI_HDRS ${lugdulov_UIS})
qt4_add_resources(RC_SRCS ${lugdulov_RCS})

if (WIN32)
 set(GUI_TYPE WIN32)
 add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/icon.o
                     COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/lugdulov.rc
                     -o ${CMAKE_CURRENT_BINARY_DIR}/icon.o )
 set(lugdulov_SRCS ${lugdulov_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/icon.o)
endif ()

link_directories(
  ${QT_LIBRARY_DIR}
  ${QJSON_LIBRARY_DIRS}
)

add_executable(
  lugdulov
  ${GUI_TYPE}
  ${lugdulov_SRCS}
  ${UI_HDRS}
  ${MOC_SOURCE}
  ${RC_SRCS}
  ${QM_FILES}
)

if (QTLOCATION_FOUND)
  include_directories(${QTLOCATION_INCLUDE_DIR})
  link_directories(${QTLOCATION_LIBRARY_DIRS})
  target_link_libraries(lugdulov ${QTLOCATION_LIBRARIES})
endif ()

if (QTBEARER_FOUND)
  include_directories(${QTBEARER_INCLUDE_DIR})
  link_directories(${QTBEARER_LIBRARY_DIRS})
  target_link_libraries(lugdulov ${QTBEARER_LIBRARIES})
endif ()

if (Q_WS_MAEMO_5)
  target_link_libraries(lugdulov QtMaemo5)
endif()

if (BUILD_STATIC_PLUGINS)
  target_link_libraries(lugdulov stationsfrance)
  target_link_libraries(lugdulov stationsbelgium)
  target_link_libraries(lugdulov stationsireland)
  target_link_libraries(lugdulov stationsjapan)
  target_link_libraries(lugdulov stationsluxembourg)
  target_link_libraries(lugdulov stationsspain)
  target_link_libraries(lugdulov stationsgermany)
  target_link_libraries(lugdulov stationsunited-kingdom)
  target_link_libraries(lugdulov stationscanada)
  target_link_libraries(lugdulov stationsswitzerland)
  target_link_libraries(lugdulov stationsaustria)
  target_link_libraries(lugdulov stationslower-austria)
  target_link_libraries(lugdulov stationslatvia)
  target_link_libraries(lugdulov stationsnew-zealand)
endif ()

target_link_libraries(
  lugdulov
  lugdulov_base
  qmapcontrol
  ${QT_LIBRARIES}
)

install(TARGETS lugdulov
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
)

=== qmapcontrol/CMakeLists.txt ===
project(qmapcontrol)

set(qmapcontrol_SRCS
  circlepoint.cpp
  curve.cpp
  emptymapadapter.cpp
  fixedimageoverlay.cpp
  geometry.cpp
  geometrylayer.cpp
  googlemapadapter.cpp
  googlesatmapadapter.cpp
  gps_position.cpp
  imagemanager.cpp
  imagepoint.cpp
  layer.cpp
  layermanager.cpp
  linestring.cpp
  mapadapter.cpp
  mapcontrol.cpp
  maplayer.cpp
  mapnetwork.cpp
  openaerialmapadapter.cpp
  osmmapadapter.cpp
  point.cpp
  tilemapadapter.cpp
  wmsmapadapter.cpp
  yahoomapadapter.cpp)

set(qmapcontrol_MOC_HDRS
  curve.h
  emptymapadapter.h
  geometry.h
  geometrylayer.h
  googlemapadapter.h
  googlesatmapadapter.h
  imagemanager.h
  layer.h
  layermanager.h
  linestring.h
  mapadapter.h
  mapcontrol.h
  maplayer.h
  mapnetwork.h
  openaerialmapadapter.h
  osmmapadapter.h
  point.h
  tilemapadapter.h
  yahoomapadapter.h)

qt4_wrap_cpp(qmapcontrol_MOC_SOURCE ${qmapcontrol_MOC_HDRS})

add_convenience_library(qmapcontrol ${qmapcontrol_SRCS} ${qmapcontrol_MOC_SOURCE})

=== pkg/maemo5/CMakeLists.txt ===
install(FILES lugdulov.desktop DESTINATION share/applications/hildon)
install(FILES lugdulov.png DESTINATION share/icons/hicolor/64x64/hildon)

=== plugins/common/CMakeLists.txt ===
project(lugdulov_base)

include_directories(
  ${QJSON_INCLUDE_DIR}
)

set(lugdulov_base_SRCS
  tools.cpp
  stationsplugin.cpp
  stationspluginsimple.cpp
  stationspluginsingle.cpp
  stationsplugincyclocity.cpp
  stationsplugincitybike.cpp
  stationspluginnextbike.cpp
  stationspluginvelin.cpp
  stationsplugindupral.cpp
  station.cpp
)

set(lugdulov_base_MOC_HDRS
  stationsplugin.h
  stationspluginsimple.h
  stationspluginsingle.h
  stationsplugincyclocity.h
  stationsplugincitybike.h
  stationspluginnextbike.h
  stationspluginvelin.h
  stationsplugindupral.h
)

qt4_wrap_cpp(lugdulov_base_MOC_SOURCE ${lugdulov_base_MOC_HDRS})

add_convenience_library(lugdulov_base ${lugdulov_base_SRCS} ${lugdulov_base_MOC_SOURCE})

=== plugins/france/CMakeLists.txt ===
project(france)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
  ${QJSON_INCLUDE_DIR}
)

set(france_SRCS
  factory.cpp
  lyon.cpp
# cyclocity
  aixenprovence.cpp
  amiens.cpp
  besancon.cpp
  cergypontoise.cpp
  creteil.cpp
  marseille.cpp
  mulhouse.cpp
  nancy.cpp
  nantes.cpp
  paris.cpp
  plainecommune.cpp
  rouen.cpp
  toulouse.cpp
# citybike
  caen.cpp
  dijon.cpp
  perpignan.cpp
# velin
  calais.cpp
  nice.cpp
# dupral
  bordeaux.cpp
  pau.cpp
# other
  larochelle.cpp
  vannes.cpp
  orleans.cpp
  avignon.cpp
  rennes.cpp
)

set(france_TRS
  lugdulov_france_fr.ts)

set(france_HDRS
  factory.h
  lyon.h
  aixenprovence.h
  amiens.h
  besancon.h
  cergypontoise.h
  creteil.h
  marseille.h
  mulhouse.h
  nancy.h
  nantes.h
  paris.h
  plainecommune.h
  rouen.h
  toulouse.h
  caen.h
  dijon.h
  perpignan.h
  calais.h
  nice.h
  larochelle.h
  bordeaux.h
  pau.h
  vannes.h
  orleans.h
  avignon.h
  rennes.h
)

set_source_files_properties(${france_TRS} PROPERTIES OUTPUT_LOCATION ${france_SOURCE_DIR})

qt4_wrap_cpp(france_MOC_SRCS ${france_HDRS})

qt4_add_resources(france_RC_SRCS france.qrc)

_qt4_add_translation(QM_FILES ${france_TRS})

link_directories(
  ${QT_LIBRARY_DIR}
  ${QJSON_LIBRARY_DIRS}
)

add_plugin(stationsfrance ${france_SRCS} ${france_MOC_SRCS} ${france_RC_SRCS})

target_link_libraries(
  stationsfrance
  lugdulov_base
  ${QT_LIBRARIES}
  ${QJSON_LIBRARIES}
)

=== plugins/japan/CMakeLists.txt ===
project(japan)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(japan_SRCS
  factory.cpp
  toyama.cpp)

set(japan_HDRS
  factory.h
  toyama.h)

qt4_wrap_cpp(japan_MOC_SRCS ${japan_HDRS})
qt4_add_resources(japan_RC_SRCS japan.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationsjapan ${japan_SRCS} ${japan_MOC_SRCS} ${japan_RC_SRCS})

target_link_libraries(
  stationsjapan
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/latvia/CMakeLists.txt ===
project(latvia)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(latvia_SRCS
  factory.cpp
  jurmala.cpp
  riga.cpp
)

set(latvia_HDRS
  factory.h
  jurmala.h
  riga.h
)

qt4_wrap_cpp(latvia_MOC_SRCS ${latvia_HDRS})
qt4_add_resources(latvia_RC_SRCS latvia.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationslatvia ${latvia_SRCS} ${latvia_MOC_SRCS} ${latvia_RC_SRCS})

target_link_libraries(
  stationslatvia
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/new-zealand/CMakeLists.txt ===
project(new-zealand)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(new-zealand_SRCS
  factory.cpp
  auckland.cpp
)

set(new-zealand_HDRS
  factory.h
  auckland.h
)

qt4_wrap_cpp(new-zealand_MOC_SRCS ${new-zealand_HDRS})
qt4_add_resources(new-zealand_RC_SRCS new-zealand.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationsnew-zealand ${new-zealand_SRCS} ${new-zealand_MOC_SRCS} ${new-zealand_RC_SRCS})

target_link_libraries(
  stationsnew-zealand
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/spain/CMakeLists.txt ===
project(spain)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(spain_SRCS
  factory.cpp
  # cyclocity
  seville.cpp
  santander.cpp
  # citybike
  barcelone.cpp
)

set(spain_HDRS
  factory.h
  seville.h
  santander.h
  barcelone.h
)

qt4_wrap_cpp(spain_MOC_SRCS ${spain_HDRS})
qt4_add_resources(spain_RC_SRCS spain.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationsspain ${spain_SRCS} ${spain_MOC_SRCS} ${spain_RC_SRCS})

target_link_libraries(
  stationsspain
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/united-kingdom/CMakeLists.txt ===
project(united-kingdom)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
  ${QJSON_INCLUDE_DIR}
)

set(united-kingdom_SRCS
  factory.cpp
  cardiff.cpp
  reading.cpp
  london.cpp
)

set(united-kingdom_HDRS
  factory.h
  reading.h
  cardiff.h
  london.h
)

qt4_wrap_cpp(united-kingdom_MOC_SRCS ${united-kingdom_HDRS})
qt4_add_resources(united-kingdom_RC_SRCS united-kingdom.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
  ${QJSON_LIBRARY_DIRS}
)

add_plugin(stationsunited-kingdom ${united-kingdom_SRCS} ${united-kingdom_MOC_SRCS} ${united-kingdom_RC_SRCS})

target_link_libraries(
  stationsunited-kingdom
  lugdulov_base
  ${QT_LIBRARIES}
  ${QJSON_LIBRARIES}
)

=== pkg/maemo5/debian/changelog ===
lugdulov (0.2.2-2) unstable; urgency=low

  * Add a fix for nextbike cities

 -- Corentin Chary <corentincj@iksaif.net>  Sun, 19 Sep 2010 16:02:59 +0200

=== pkg/maemo5/debian/control ===
Source: lugdulov
Section: user/navigation
Priority: extra
Maintainer: Corentin Chary <corentincj@iksaif.net>
XSBC-Bugtracker: http://dev.iksaif.net/projects/lugdulov
Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-dev, libqt4-dev, cmake
Standards-Version: 3.7.2

Package: lugdulov
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Description-fr_FR: Recherche de stations de vélos.
 Fonctionne en France, Belgique, Irelande, Luxembourg,
 Espagne, Autriche, Allemagne, Lettonie, Japon, Suisse,
 Nouvelle-Zelande, Grande-Bretagne, Canada
XB-Maemo-Display-Name: Lugdulov
Description: A bike sharing application. Support cities in
 France, Belgium, Ireland, Luxembourg, Spain, Austria,
 Germany, Latvia, Japan, New-Zealand, Switzerland,
 United-Kingdom, Canada
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAAFxG
 AABcRgEUlENBAAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/
 AACA6QAAdTAAAOpgAAA6mAAAF2+SX8VGAAAPm0lEQVR42sRZWZCU53U991v+
 rbtnelaGgYGBYcTAAEIgoQ0QMjiyHazYcsoux5ZdtuOKnVQeklTipFJ5SVxJ
 Oa7kKZVyUk5cSeSUbbkUW/ImCWGhBS1IIMQmhmFfhmG27unuf/++m4eZYRMS
 lPKQfup+6L9Pn++ec+89H8VJNFE/Z9kQEf4fX8xE1FroUbXk0vde/nojmVDS
 ++BPIwAgAPwBn2BtqpX/lU3fVWCb5o04b2g2N/0aAQxYsOXcWANrBBvJEAwC
 WbAhMJEVkoSUpARJcWsgjU0tM7NVAEnhKOEooW+GhjLiPG+oPG9lf77q7mrt
 by30FPx2VxdB0po0TivT0aWx6RMj9ZOjPNWgxDq+Iz1hmd8XGAFKaAKpW6WU
 KM0bhThdU1gxsGDLonnry22DutQBCWYwWWYmkgQQg1OOKsNj44dOXHz58KUX
 Tttx65dc0uCbk6VupT4SkwRxsq4weNfazy1cvFWVWiwnWT4cRntgxmDrQAJm
 kAS5QFnobtW2dFHnJxYv/8Td4yfeGX78lXM/OcXj5BY11Pufobo5MUl1iW35
 cP8f3Lbmq/BlmpxKa08jPwo7DVgQwGKWdDvDD9scNta56CC9Trffta7rGysu
 ffrVvd/eNb6j7rmu9N6HqvcDZIg4qmwO7ti24a+C7tVJfMJOPcdmiJCBHJBz
 5fyvfjP7kWFHOX4yS17I9J2q7cEHt/3z0kM/fOrgt084oacCeg9M7wkoIysb
 1Y91fnzj/X/DhVJUexLpbnBI5AHBLUiHAA3S4DrSHXl2yBa2L177mUfLS/7n
 1T97Oxnx3KYbYhI3fFJOkGH14Xmf2rzlH3JPJlP/wslzgAEVAHlLQmZgRljk
 gHzwJdv4j6i2o9S74dOb/ul2WhhnNdzIisUN64aj6odbH7p3818nNJVXvwNz
 iCi4FQXM/ScSgSOLnvA1aMYxXIA4/llcfcpbsOqR+/5xwLTFJno3JvEuTVGc
 Tt/prnzgvm+mypraf8GeAhVuGQqEo8Covjo09vN90/vPwPLcr0qQg/S5ePpX
 pUW3P3zHX7RHNrXZTQClNl2QeR9e/5dUbs1qP+J3o6G5smW+gVgsmKiy79zo
 f+50hnbXfvFiVk2kp4WSJAVIgVwkT0f117oGtn+k9/MibvC1JKnr6JFxtHXx
 l1oWbwhrvybzFii4BowgUtJCCAkiYoDTjHM7UzTCkdG5qdHHnvcKpu02v9Bl
 4moTBX7WyGycCU8KRWABCI5/EevFq+/4/cMXd+01533p3wAQgWKbrJDzB9d8
 Lc5HkOy8Di5JmdeiqWf2wmSiUBSehtb+0nleTxvnBgQ2VrcUvP6F6szhjhVq
 8oxK3HLl57tRmSIyaSzL2+8tLGm3mQOesuHTsvzFzQNfO7b/z6OCR+8+MiPI
 icJ7Fn1KNbfY8EVwFbi2uymRjDfSQ0cKk++4Fw/Ud781/tSe6PQEKTkjO7Ys
 A9312ftNz/LwUjI9SnzubNkMt7VXOubX3GQ0r8SQAgyQj/xgmhxf0PfQitLq
 LKtfti8xJwvKTNSju/r6H8mzSc4PXvG9K9aUB4taig89MEW9lbO2uPXevr/9
 fMt9y2ySXvZGzi2sCW7vq1U9z0t9P9FlF1pBKOHoKxYKCWQm3iWCYHX3b/iZ
 MbDXALJgzuL+1jv95gV58gbxNHDZiImkICkYIEHlzSs6H92as2urVVkOZieS
 qwsxy/2e1lwXgzZRvaTiCgsJEkQCfEUEDPKQD2dmvLdnS7dsz+fkNgeI2Tei
 t309NHF+GJBgJkEycMjR1pA1BKHIc2Cs2xYU7xmsvjKcjVYhrtcpKZnVEmFi
 x2fV2dKoapvYLLLpdApjrpErR3l0IGi7bXHzSp4DpOYAZa1U6mwfzMwkzBhI
 C0dZw5U3z6anLqBRA1u4nmhrDQYW+j1tQpJKquHwxaa7+pBdO9kp2Th4xkWY
 G+EVbLVSmjo5JksF/7Zl/tIOUhKUXeae8yEuPriwZZWc3Dkzds4Bsrbd7yq0
 9OfZCdhI+IV4ZHryl3v05NlCi5UuAHCIZJSrB5sn/DY3utCy3IuPnMK6pdfY
 mu/UDo7kb77hLynl8xYHhw85TRqBiesN0Zicfm5vsqKvuGohseXcgAXMuOFG
 W3nAZ8nXyJ5t2euUTinLLpGnakdHq0/sbOsK3X4XJC5z7LZwMYuSyWOmf6ns
 7LDP7k/HpnV7gIwBhpTJZFR7dve8XsNuno6e8NrZKmHcdo8cjmKeGAmfeic6
 srrt4Q3SEZwREHI+WSz2+HAb1wEKdJkkOKkSs5BEjlYFByTYXt0xCUr6nYU0
 nMipS5Z0bf/Jzk9usI0YxoqiN/XSUVW9WFNBoSXXCg3TbFMZbHtIeQ7nxoxP
 NL29Jzq0d/yJvPMzG0lKNrkxoeO2BsKrwV4le2ZXFUCAqcNYf3GHKBXT6SwL
 c8EWdE0btyBlQoyPen3z4zcPjf5gd+3A2Whkevqts7Vd+2LdUak0RxNR3rvG
 /eh2snl27JjQSkq4Pd1i01ZvsFeePlh57Ti5DmCAVCrfnRsirnLq2Z7CwtWV
 N8/JqfO0db3xivHbrzpOBq1xtWYdLafHssL89p40PH2gftyHzeMzVbVkUXHz
 2vyF59XiBc7q1SJwzOCq9I3X9dJe1VS0UaRLAdbf51+4FB47btb3CikIDBCB
 ZraAWYZYIDMxGCQDZmRnR1XJdVcOBGtW0r0firkIY67hiYSWxp8+q1zhdhWa
 Ny4TvtZ9i7q//jEJI8KKWNhDWnIYOQP9otyavPqazS2k5CTVnW2ip4dqU3kj
 gZAMbU2SwhDo6tYhoqwKC8gmayzHkSi4pJSNI3fJIm5uQZYRmAAigMAMCHJ8
 IRzpO2n8ytu529H11Y+okmumI6FodjpjCCXde+62J4aj19+8bFrU3Iw84ywD
 KSH9NK1GnIprAJGoxGM2S4RoJyHgOByGNkkgiI0R5ZYsgY0zEyc2TjhJCSBi
 NoYklOa0Tq0fvVP7yiYZHJXUmCuVmZrgLFftrXrLh/TCblg764hZzqRIC8AT
 ohyGF0KOZhhSc3jERHwxqp7SnQuIHTWvPX8nzk+edteu4ThxV6/Kyq1Z2ECW
 Is84TcXF08mUCes6aDLIcizsdVp9k2QkRbC8O9y7NDtxRq+ry0LAmQGxN9AP
 azk3IGK22YVLKJZVwQGahGieqh6LYLyrW4ckPZlPTkwc1mI+Z8XCYFfutZv9
 e9ORMXJd4TruimXeurXuPXe7mzZTx7y8Wg9VV9Pv/NZUvXX0uGj56F3ClWBw
 br15paat68KzjXT/WywUOZqk5NywZSgNx0kPH4mGL+oV/dIXTL3C0sjkwVzO
 amoWkCBRF+bMxD5iApY4zTLYtKF2MrTP/yo5ciSv1kylbmo1MzGZvvE67Xmh
 PqEL960pLCrZKGUiTlKa06BpxMWBLlq1tr5rf7r7JTNdNblhhjXWTE+ne/eE
 T+/i+X3NG/o4hXLXpNOjp6qHINSMitVcj6VM6eGJPRvqU8K729TeaF6/0DS2
 VF/eXRzfgc4yBQEYplrLxmuNuBxsvbdp5XxTi7u/vIWt1eWCvdzRGMhN+8N3
 jYMqO98KDh7V3W0UeMgynpiMz1fj4tL2RzaRSNh0a2fxmaM/PpuclY5mAQTu
 ZadmrYMT9eMjp3b2rPmUEf2cHmh5YKDR1RLtH7IXLyCpQAhqbpaDgy1rlgU9
 LTZKSAlvfgsINs5h+cpUZKxQovORu+sDPdGBofD4RUQTkIKaynL1mo77l+sm
 x0Z1UdgIY9++9PR4ySjHU6E0P3hZXf5Xmqnhqj3Djy3q/wT5GzkdJp0W13cV
 1s839dhMxWyFCjzpKiI2YUIK5BErCwY5AhkjYzY8M2lxakhwaWV3YUW3qaem
 kUCSavKlr0hY5ga1r9birtGR14ZOv77sfNvKt0pLdju6/t9XOTWz1sG+5PDt
 537Ud9tno8Yd5vAL9hTy4ZTPZlwxXMuT0HDORIBLVJCiWdECRy515DKPFirR
 qqgooGhuUQTDElgVtJbOzFDBSW5ruR0ne6HZDD2T/+zx39zX1jreVJ0fnb4z
 XfmVP54FZDTHLgtmZ8o/893HFoyN1V7bbyZOoe6S51CHFF1KtErqdCCJLHPE
 XDH5gcjuqPO0gccoClFUcokreh3RqdAsyRfkEhhILYfMU8aO5vZEYk7XbWRU
 /UzcqIwtzMY2qufWjV1Y3DDt3vIPrVTsiKTEYgzL3vZXPxss2ufmIjnX9ETn
 xz8j7vsk9b0k5kdULpADKHGlezBgmHPLdebR3ByPzdHEHo3NUJIdjWxukTMM
 ZrdEAiRICygpOjL9wFp/7Za8beqnk38/ND9hVwkGUutFoOlYUTVd+4S3/Jl5
 3ceKF1ekr/927fjtcdzZeGSdM7hye2z77PT3YUJOXMTmBqFaQKLflYMuJIHB
 kUXD2JARMlLLZs59XUE+IYioedDxv0hZ+tSuPzwqa44tiHAm0iOSAKDsg9/a
 dEyd2sA//tz4mVVJUrJkiRP1kz3f9kO9dN0XYvcLtvED8CTIA+j6RMGAc4t4
 bqmVRAUpmwgECIBodkawGUzC4g7tPaoa+Y6df/py9WUnaBXv2n1V1lN88nej
 4YEJIqlS8uoCFiA1GegfHv67TyPvu+PLifw9U/8xzBCgbrAeXQ3SMBtctWIT
 YMAxk0fONre0navVZ1/4k2erv5ZBi7hhHOP85I9GVrGsGzcUMp8ZTgCwJ73J
 gvvY4W/tffGbThbo8tfhPQxqZg6B7ObZ0EzaiAjIoPpF4ct+8/b4/IEnd3zp
 mdrzImiV7xHpKMpZhXz9WQBgdqAbBfH42e+dmdz/4PpvNPdszbx7suQVJHtg
 x0EWTCBxVf6A2dgYDGYmh9Ry4d2vvVUypeN7/u1XQ/96QlYd78bczK1BzHjP
 CJ81pCmUX0wPnHjxqxsXPrzytkeLndtsYVuWHjHxEMwFcAXcwEz1MoE0qATR
 RmqR8gcd2YU4GR3a+erRf3+juif0HFeWiP8PoSfAkknq0og2j5//fu/5X67p
 3ras+4GOznVu0woWMBzavALEYCZSoEDIFkkKKaLxo8dGnj1ybsfBqdfGPeEU
 mz3LN02GbzEUYxfC+q0nbXJq5PHm8z/tcboXta6ZV17eVOz1/U6tiwRhOErT
 0bDx0uT08QuTh0/XjoyYyVBBFQs+1Ox0dgs5NVs2lnPLNwPHuYawTrHK+aQ9
 t3/spBpl10qPtCZNIAOTchYjz8gaKUlqqT0HgixbpMD7Xe5YNpYNwApEBCEg
 CHTzvA6QgCStpYb0mZAByWwtg6AANZu+Xn80dNN7C4JgEEVJODI1ZDj/gNdT
 s5KgOYnNQvtA11Oyq7n/fwcA/ZM00MAEp20AAAAASUVORK5CYII=

## lugdulov 0.3.0-1

=== pkg/maemo5/debian/changelog ===
lugdulov (0.3.0-1) unstable; urgency=low

  * New pie chart on map widget to show station status
  * Fix Montreal plugin
  * Better Qt Bearer / Qt 4.7 integration
  * Better maemo integration

 -- Corentin Chary <corentincj@iksaif.net>  Sun, 26 Oct 2010 19:02:59 +0200

## lugdulov 0.3.0-2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 include(CMakeDependentOption)
 
 set(VERSION_MAJOR "0")
-set(VERSION_MINOR "2")
-set(VERSION_PATCH "2")
+set(VERSION_MINOR "3")
+set(VERSION_PATCH "0")
 
 if(CMAKE_SYSTEM_NAME MATCHES Linux)
   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} /usr/share/apps/cmake/modules/)
@@ -14,6 +14,7 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)
 
 cmake_dependent_option(BUILD_STATIC_PLUGINS "build static plugins [default: off]" OFF "NOT BUILD_SHARED_LIBS" ON)
+option(BUILD_UTILS "build cli utilities [default: off]" OFF)
 
 include(lugdulov)
 include(QtTranslations) # Local file for maemo_qt4_add_translation()
@@ -29,6 +30,10 @@
 
 set(HAVE_QT_LOCATION ${QTLOCATION_FOUND})
 set(HAVE_QT_BEARER ${QTBEARER_FOUND})
+
+if (QT_VERSION_MAJOR EQUAL "4" AND QT_VERSION_MINOR EQUAL "7")
+  set(HAVE_QT_BEARER TRUE)
+endif()
 
 ## GCC  ##
 set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2")
@@ -85,6 +90,9 @@
 add_subdirectory(plugins)
 add_subdirectory(qmapcontrol)
 add_subdirectory(lugdulov)
+if (BUILD_UTILS)
+  add_subdirectory(utils)
+endif ()
 add_subdirectory(pkg)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake config.h ESCAPE_QUOTES)
@@ -129,7 +137,7 @@
   set(CPACK_NSIS_MODIFY_PATH "OFF")
   set(CPACK_BINARY_CYGWIN "OFF")
   set(CPACK_SOURCE_CYGWIN "OFF")
-  set(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Lugdulo'v")
+  set(CPACK_NSIS_DISPLAY_NAME "Lugdulo'v")
   set(CPACK_NSIS_HELP_LINK "http://xf.iksaif.net/dev/lugdulov.html")
   set(CPACK_NSIS_URL_INFO_ABOUT "http://xf.iksaif.net/dev/lugdulov.html")
   set(CPACK_NSIS_CONTACT "Corentin Chary <corentin.chary@gmail.com>")
@@ -140,7 +148,7 @@
   set(CPACK_GENERATOR "DEB")
   set(CPACK_SOURCE_GENERATOR "TGZ;TBZ2")
   ## Debian specific ##
-  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-core (>= 4.6), libqt4-xml (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), qjson")
-  set(CPACK_DEBIAN_PACKAGE_BUILDS_DEPENDS "libqt4-dev (>= 4.6), cmake (>= 2.6), qjson")
+  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-core (>= 4.6), libqt4-xml (>= 4.6), libqt4-gui (>= 4.6), libqt4-network (>= 4.6), qjson | libqjson0")
+  set(CPACK_DEBIAN_PACKAGE_BUILDS_DEPENDS "libqt4-dev (>= 4.6), cmake (>= 2.6), qjson | libqjson-dev")
 endif(WIN32)
 include(CPack)

=== lugdulov/CMakeLists.txt ===
--- 
+++ 
@@ -9,43 +9,48 @@
   ${QT_INCLUDE_DIR}
 )
 
+if (QTLOCATION_FOUND)
+  include_directories(${QTLOCATION_INCLUDE_DIR})
+  link_directories(${QTLOCATION_LIBRARY_DIRS})
+endif ()
+
+if (QTBEARER_FOUND)
+  include_directories(${QTBEARER_INCLUDE_DIR})
+  link_directories(${QTBEARER_LIBRARY_DIRS})
+endif ()
+
 set(lugdulov_SRCS
   main.cpp
   mainwindow.cpp
-  settings.cpp
   stationdialog.cpp
-  stationspluginmanager.cpp
   stationslistdialog.cpp
   bookmarklistdialog.cpp
   stationdelegate.cpp
-  stationsmodel.cpp
-  stationssortfilterproxymodel.cpp
   stationslistview.cpp
   mapdialog.cpp
   mapwidget.cpp
-  pluginsdialog.cpp)
+  pluginsdialog.cpp
+  aboutdialog.cpp)
 
 set(lugdulov_UIS
   mainwindow.ui
   stationdialog.ui
   stationslistdialog.ui
   mapdialog.ui
-  pluginsdialog.ui)
+  pluginsdialog.ui
+  aboutdialog.ui)
 
 set(lugdulov_MOC_HDRS
   mainwindow.h
-  settings.h
   stationdialog.h
-  stationspluginmanager.h
   stationslistdialog.h
   bookmarklistdialog.h
   stationdelegate.h
-  stationsmodel.h
-  stationssortfilterproxymodel.h
   stationslistview.h
   mapdialog.h
   mapwidget.h
-  pluginsdialog.h)
+  pluginsdialog.h
+  aboutdialog.h)
 
 set(lugdulov_RCS res/lugdulov.qrc i18n/i18n.qrc)
 set(lugdulov_TRS i18n/lugdulov_fr.ts)
@@ -80,14 +85,10 @@
 )
 
 if (QTLOCATION_FOUND)
-  include_directories(${QTLOCATION_INCLUDE_DIR})
-  link_directories(${QTLOCATION_LIBRARY_DIRS})
   target_link_libraries(lugdulov ${QTLOCATION_LIBRARIES})
 endif ()
 
 if (QTBEARER_FOUND)
-  include_directories(${QTBEARER_INCLUDE_DIR})
-  link_directories(${QTBEARER_LIBRARY_DIRS})
   target_link_libraries(lugdulov ${QTBEARER_LIBRARIES})
 endif ()

=== plugins/CMakeLists.txt ===
project(plugins)

add_subdirectory(common)
add_subdirectory(france)
add_subdirectory(belgium)
add_subdirectory(ireland)
add_subdirectory(luxembourg)
add_subdirectory(spain)
add_subdirectory(japan)
add_subdirectory(austria)
add_subdirectory(germany)
add_subdirectory(latvia)
add_subdirectory(lower-austria)
add_subdirectory(new-zealand)
add_subdirectory(switzerland)
add_subdirectory(united-kingdom)
add_subdirectory(canada)
#add_subdirectory(skel)

=== qmapcontrol/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,8 @@
   tilemapadapter.h
   yahoomapadapter.h)
 
+include_directories(${lugdulov_base_SOURCE_DIR})
+
 qt4_wrap_cpp(qmapcontrol_MOC_SOURCE ${qmapcontrol_MOC_HDRS})
 
 add_convenience_library(qmapcontrol ${qmapcontrol_SRCS} ${qmapcontrol_MOC_SOURCE})

=== pkg/maemo5/CMakeLists.txt ===
install(FILES lugdulov.desktop DESTINATION share/applications/hildon)
install(FILES lugdulov.png DESTINATION share/icons/hicolor/64x64/hildon)

# FIXME: remove when upstream libQtLocation is fixed
install(FILES libQtLocation.so.1 libQtLocation.so.1.0 libQtLocation.so.1.0.2 DESTINATION lib)
install(FILES lugdulov-wrapper DESTINATION bin)

=== plugins/austria/CMakeLists.txt ===
project(austria)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(austria_SRCS
  factory.cpp
  neusiedler_see.cpp
  bregenzerwald.cpp
  wien.cpp
)

set(austria_HDRS
  factory.h
  neusiedler_see.h
  bregenzerwald.h
  wien.h
)

qt4_wrap_cpp(austria_MOC_SRCS ${austria_HDRS})
qt4_add_resources(austria_RC_SRCS austria.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationsaustria ${austria_SRCS} ${austria_MOC_SRCS} ${austria_RC_SRCS})

target_link_libraries(
  stationsaustria
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/belgium/CMakeLists.txt ===
project(belgium)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(belgium_SRCS
  factory.cpp
  bruxelles.cpp)

set(belgium_HDRS
  factory.h
  bruxelles.h)

qt4_wrap_cpp(belgium_MOC_SRCS ${belgium_HDRS})
qt4_add_resources(belgium_RC_SRCS belgium.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationsbelgium ${belgium_SRCS} ${belgium_MOC_SRCS} ${belgium_RC_SRCS})

target_link_libraries(
  stationsbelgium
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/canada/CMakeLists.txt ===
project(canada)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(canada_SRCS
  factory.cpp
  montreal.cpp
)

set(canada_HDRS
  factory.h
  montreal.h
)

qt4_wrap_cpp(canada_MOC_SRCS ${canada_HDRS})
qt4_add_resources(canada_RC_SRCS canada.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationscanada ${canada_SRCS} ${canada_MOC_SRCS} ${canada_RC_SRCS})

target_link_libraries(
  stationscanada
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/common/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,10 @@
   stationspluginvelin.cpp
   stationsplugindupral.cpp
   station.cpp
+  stationspluginmanager.cpp
+  stationsmodel.cpp
+  stationssortfilterproxymodel.cpp
+  settings.cpp
 )
 
 set(lugdulov_base_MOC_HDRS
@@ -26,7 +30,16 @@
   stationspluginnextbike.h
   stationspluginvelin.h
   stationsplugindupral.h
+  stationspluginmanager.h
+  stationsmodel.h
+  stationssortfilterproxymodel.h
+  settings.h
 )
+
+if (HAVE_QT_BEARER)
+  set(lugdulov_base_SRCS ${lugdulov_base_SRCS} onlinestatemanager.cpp)
+  set(lugdulov_base_MOC_HDRS ${lugdulov_base_MOC_HDRS} onlinestatemanager.h)
+endif()
 
 qt4_wrap_cpp(lugdulov_base_MOC_SOURCE ${lugdulov_base_MOC_HDRS})

=== plugins/germany/CMakeLists.txt ===
project(germany)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(germany_SRCS
  factory.cpp
  hamburg.cpp
  leipzig.cpp
  duisburg.cpp
  gelsenkirchen.cpp
  berlin.cpp
  essen.cpp
  offenburg.cpp
  erfurt.cpp
  koln.cpp
  magdeburg.cpp
  furth.cpp
  oberhausen.cpp
  hamm.cpp
  koblenz.cpp
  munchen.cpp
  dortmund.cpp
  frankfurt.cpp
  bochum.cpp
  flensburg.cpp
  erlangen.cpp
  mulheim_adr.cpp
  dresden.cpp
  aschaffenburg.cpp
  kiel.cpp
  herne.cpp
  bottrop.cpp
  coburg.cpp
  hannover.cpp
  lubeck.cpp
  potsdam.cpp
  dusseldorf.cpp
  friedrichshafen.cpp
  tubingen.cpp
  offenbach_am_main.cpp
  bielefeld.cpp
  nurnberg.cpp
)

set(germany_HDRS
  factory.h
  nurnberg.h
  potsdam.h
  hamburg.h
  erlangen.h
  offenbach_am_main.h
  herne.h
  bielefeld.h
  friedrichshafen.h
  hannover.h
  offenburg.h
  coburg.h
  hamm.h
  berlin.h
  bottrop.h
  frankfurt.h
  furth.h
  tubingen.h
  kiel.h
  koblenz.h
  essen.h
  gelsenkirchen.h
  dusseldorf.h
  leipzig.h
  duisburg.h
  bochum.h
  koln.h
  munchen.h
  mulheim_adr.h
  oberhausen.h
  lubeck.h
  dortmund.h
  erfurt.h
  dresden.h
  aschaffenburg.h
  magdeburg.h
  flensburg.h
)

qt4_wrap_cpp(germany_MOC_SRCS ${germany_HDRS})
qt4_add_resources(germany_RC_SRCS germany.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationsgermany ${germany_SRCS} ${germany_MOC_SRCS} ${germany_RC_SRCS})

target_link_libraries(
  stationsgermany
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/lower-austria/CMakeLists.txt ===
project(lower-austria)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(lower-austria_SRCS
  factory.cpp
  wiener_neustadt.cpp
  romerland.cpp
  triestingtal.cpp
  obb_bahnhofe.cpp
  wachau.cpp
  wieselburg.cpp
  st_polten.cpp
  baden.cpp
  modling.cpp
  tulln.cpp
)

set(lower-austria_HDRS
  factory.h
  modling.h
  baden.h
  romerland.h
  wachau.h
  triestingtal.h
  st_polten.h
  wiener_neustadt.h
  tulln.h
  wieselburg.h
  obb_bahnhofe.h
)

qt4_wrap_cpp(lower-austria_MOC_SRCS ${lower-austria_HDRS})
qt4_add_resources(lower-austria_RC_SRCS lower-austria.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationslower-austria ${lower-austria_SRCS} ${lower-austria_MOC_SRCS} ${lower-austria_RC_SRCS})

target_link_libraries(
  stationslower-austria
  lugdulov_base
  ${QT_LIBRARIES}
)

=== plugins/luxembourg/CMakeLists.txt ===
project(luxembourg)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(luxembourg_SRCS
  factory.cpp
  luxembourg.cpp)

set(luxembourg_HDRS
  factory.h
  luxembourg.h)

qt4_wrap_cpp(luxembourg_MOC_SRCS ${luxembourg_HDRS})
qt4_add_resources(luxembourg_RC_SRCS luxembourg.qrc)

link_directories(
  ${QT_LIBRARY_DIR}
)

add_plugin(stationsluxembourg ${luxembourg_SRCS} ${luxembourg_MOC_SRCS} ${luxembourg_RC_SRCS})

target_link_libraries(
  stationsluxembourg
  lugdulov_base
  ${QT_LIBRARIES}
)

=== pkg/maemo5/debian/changelog ===
lugdulov (0.3.0-2) unstable; urgency=low

  * Ship fixed libQtLocation

 -- Corentin Chary <corentincj@iksaif.net>  Sat, 30 Oct 2010 00:00:00 +0200

=== pkg/maemo5/debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Corentin Chary <corentincj@iksaif.net>
 XSBC-Bugtracker: http://dev.iksaif.net/projects/lugdulov
-Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-dev, libqt4-dev, cmake
+Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-dev, libqt4-dev, cmake, libx11-dev
 Standards-Version: 3.7.2
 
 Package: lugdulov
@@ -12,12 +12,13 @@
 XB-Description-fr_FR: Recherche de stations de vélos.
  Fonctionne en France, Belgique, Irelande, Luxembourg,
  Espagne, Autriche, Allemagne, Lettonie, Japon, Suisse,
- Nouvelle-Zelande, Grande-Bretagne, Canada
+ Nouvelle-Zelande, Grande-Bretagne, Canada.
 XB-Maemo-Display-Name: Lugdulov
-Description: A bike sharing application. Support cities in
+Description: A bike sharing application.
+ Support cities in:
  France, Belgium, Ireland, Luxembourg, Spain, Austria,
  Germany, Latvia, Japan, New-Zealand, Switzerland,
- United-Kingdom, Canada
+ United-Kingdom, Canada.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAAFxG
  AABcRgEUlENBAAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/

=== pkg/maemo5/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# FIXME: use cdbs-dh7 and cmake magic stuff instead

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	mkdir -p $(CURDIR)/build
	cd $(CURDIR)/build && cmake -DCMAKE_PREFIX_PATH=/usr/bin -DCMAKE_INSTALL_PREFIX=/opt/lugdulov $(CURDIR) && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf $(CURDIR)/build
	dh_clean debian/shlibs.local
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cd $(CURDIR)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	chmod +x debian/tmp/opt/lugdulov/bin/lugdulov-wrapper


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lugdulov 0.4.0-1

=== qmapcontrol/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   mapnetwork.cpp
   openaerialmapadapter.cpp
   osmmapadapter.cpp
+  ocmmapadapter.cpp
   point.cpp
   tilemapadapter.cpp
   wmsmapadapter.cpp
@@ -43,6 +44,7 @@
   mapnetwork.h
   openaerialmapadapter.h
   osmmapadapter.h
+  ocmmapadapter.h
   point.h
   tilemapadapter.h
   yahoomapadapter.h)
@@ -51,4 +53,8 @@
 
 qt4_wrap_cpp(qmapcontrol_MOC_SOURCE ${qmapcontrol_MOC_HDRS})
 
+link_directories(${QT_LIBRARY_DIR})
+
 add_convenience_library(qmapcontrol ${qmapcontrol_SRCS} ${qmapcontrol_MOC_SOURCE})
+
+target_link_libraries(qmapcontrol ${QT_LIBRARIES})

=== pkg/maemo5/CMakeLists.txt ===
install(FILES lugdulov.desktop DESTINATION share/applications/hildon)
install(FILES lugdulov.png DESTINATION share/icons/hicolor/64x64/hildon)

install(FILES lugdulov-wrapper DESTINATION bin)

=== plugins/usa/CMakeLists.txt ===
project(usa)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${lugdulov_base_SOURCE_DIR}
)

set(usa_SRCS
  factory.cpp
)

set(usa_HDRS
  factory.h
)

qt4_wrap_cpp(usa_MOC_SRCS ${usa_HDRS})
qt4_add_resources(usa_RC_SRCS usa.qrc)

add_plugin(stationsusa ${usa_SRCS} ${usa_MOC_SRCS} ${usa_RC_SRCS})

=== pkg/maemo5/debian/changelog ===
lugdulov (0.4.0-1) unstable; urgency=low

  * Use QtMobility 1.1
  * New code to use QtLocation to draw the map (not enabled)
  * New settings window
  * New plugin system
  * New cities (Saint Etienne, Washington DC, Melbourne, etc...)

 -- Corentin Chary <corentincj@iksaif.net>  Sat, 5 Jan 2011 00:00:00 +0200

=== pkg/ubuntu/debian/changelog ===
lugdulov (0.4.0-1) maverick; urgency=low

  * Initial release

 -- Corentin Chary <corentincj@iksaif.net>  Sat, 12 Jan 2011 00:00:00 +0200

=== pkg/maemo5/debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Corentin Chary <corentincj@iksaif.net>
 XSBC-Bugtracker: http://dev.iksaif.net/projects/lugdulov
-Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-dev, libqt4-dev, cmake, libx11-dev
+Build-Depends: debhelper (>= 5), libqjson-dev, libqtm-11-dev, libqt4-dev, cmake, libx11-dev
 Standards-Version: 3.7.2
 
 Package: lugdulov
@@ -12,13 +12,13 @@
 XB-Description-fr_FR: Recherche de stations de vélos.
  Fonctionne en France, Belgique, Irelande, Luxembourg,
  Espagne, Autriche, Allemagne, Lettonie, Japon, Suisse,
- Nouvelle-Zelande, Grande-Bretagne, Canada.
+ Nouvelle-Zelande, Grande-Bretagne, Canada, USA.
 XB-Maemo-Display-Name: Lugdulov
 Description: A bike sharing application.
  Support cities in:
  France, Belgium, Ireland, Luxembourg, Spain, Austria,
  Germany, Latvia, Japan, New-Zealand, Switzerland,
- United-Kingdom, Canada.
+ United-Kingdom, Canada, USA.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAACXBIWXMAAFxG
  AABcRgEUlENBAAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/

=== pkg/maemo5/debian/rules ===
--- 
+++ 
@@ -32,7 +32,10 @@
 	dh_testdir
 
 	mkdir -p $(CURDIR)/build
-	cd $(CURDIR)/build && cmake -DCMAKE_PREFIX_PATH=/usr/bin -DCMAKE_INSTALL_PREFIX=/opt/lugdulov $(CURDIR) && $(MAKE)
+	cd $(CURDIR)/build && cmake -DCMAKE_PREFIX_PATH=/usr/bin -DCMAKE_INSTALL_PREFIX=/opt/lugdulov -DQMAPCONTROL=ON -DMOBILITY_MKSPEC_VERSION=11 $(CURDIR) && $(MAKE)
+
+	#mkdir -p $(CURDIR)/qtm-geoservices-extras/build
+	#cd $(CURDIR)/qtm-geoservices-extras/build && cmake -DCMAKE_PREFIX_PATH=/usr/bin -DCMAKE_INSTALL_PREFIX=/opt/lugdulov/lib -DMOBILITY_MKSPEC_VERSION=11 -DCMAKE_BUILD_TYPE=Debug $(CURDIR)/qtm-geoservices-extras/ && $(MAKE)
 
 	touch $@
 
@@ -41,6 +44,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	rm -rf $(CURDIR)/build
+	#rm -rf $(CURDIR)/qtm-geoservices-extras/build
 	dh_clean debian/shlibs.local
 	dh_clean 
 
@@ -51,7 +55,7 @@
 	dh_installdirs
 
 	cd $(CURDIR)/build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-
+	#cd $(CURDIR)/qtm-geoservices-extras/build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	chmod +x debian/tmp/opt/lugdulov/bin/lugdulov-wrapper
 
 
@@ -70,7 +74,7 @@
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb
-	dh_shlibdeps
+	dh_shlibdeps -l/opt/qtm11/lib/
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

=== pkg/ubuntu/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLUGDULOV_FULL_UI=ON
